Part Line/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "Voir aussi : Éditeur de propriétés.")
(Created page with "Un objet Part Ligne est dérivé d'un Part Feature et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :")
Line 32: Line 32:
Voir aussi : [[Property_editor/fr|Éditeur de propriétés]].
Voir aussi : [[Property_editor/fr|Éditeur de propriétés]].


A Part Line object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
Un objet Part Ligne est dérivé d'un [[Part_Feature/fr|Part Feature]] et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :


=== Data ===
=== Data ===

Revision as of 20:31, 4 March 2022

Part Ligne

Emplacement du menu
Pièce → Créer des primitives → Ligne
Ateliers
Part, OpenSCAD
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Primitives

Description

Une Part Ligne est une ligne paramétrique qui peut être créée avec la commande Part Primitives. Les coordonnées de son point de départ et de son point d'arrivée sont relatives au système de coordonnées défini par sa propriété DonnéesPlacement.

Utilisation

Voir Part Primitives.

Propriétés

Voir aussi : Éditeur de propriétés.

Un objet Part Ligne est dérivé d'un Part Feature et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Vertex 1 - Start

  • DonnéesX1 (Distance): The X coordinate of the start point of the line. The default is 0mm.
  • DonnéesY1 (Distance): The Y coordinate of the start point of the line. The default is 0mm.
  • DonnéesZ1 (Distance): The Z coordinate of the start point of the line. The default is 0mm.

Vertex 2 - Finish

  • DonnéesX2 (Distance): The X coordinate of the end point of the line. The default is 10mm.
  • DonnéesY2 (Distance): The Y coordinate of the end point of the line. The default is 10mm.
  • DonnéesZ2 (Distance): The Z coordinate of the end point of the line. The default is 10mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Line can be created with the addObject() method of the document:

line = FreeCAD.ActiveDocument.addObject("Part::Line", "myLine")
  • Where "myCircle" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

line = doc.addObject("Part::Line", "myLine")
line.X1 = 1
line.Y1 = 3
line.Z1 = 6
line.X2 = 2
line.Y2 = 3
line.Z2 = 9

doc.recompute()